/*-- 
numpart opnieuw invullen
--*/
/*--indien al een keer uitgevoerd, dan overslaan --*/
/*--vanwege locktable overflow door ca/proc/ca-syns-transportplanning.p in
    tw-ca-u_shipment deze trigger disablen --*/
DISABLE TRIGGERS FOR LOAD OF ca-u_shipment.

IF CAN-FIND(FIRST sp-control WHERE
                  sp-control.controlkode EQ THIS-PROCEDURE:FILE-NAME )
THEN RETURN.

DO ON ERROR UNDO, RETURN ERROR.

   FOR EACH ca-u_shipment EXCLUSIVE-LOCK TRANSACTION:
      ca-u_shipment.bookingnr_num_part = ''.
   END.
   
   FOR EACH ca-u_booking EXCLUSIVE-LOCK TRANSACTION:
      ca-u_booking.bookingnr_num_part = ''.
   END.
   
   DO TRANSACTION:
      CREATE sp-control.
      ASSIGN sp-control.controlkode = THIS-PROCEDURE:FILE-NAME
             sp-control.lijst       = 'uitgevoerd op ' + STRING(TODAY,'99-99-9999') + ' ' + STRING(TIME,'HH:MM:SS')
             sp-control.uitleg      = 'numpart opnieuw opbouwen'.
   END. /*transaction*/
               
END. /*on error*/
